Bug 466687 - Gnome software crashes with X forwarding in IA__g_file_load_partial_contents_finish
Gnome software crashes with X forwarding in IA__g_file_load_partial_contents_...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: glib2 (Show other bugs)
9
powerpc Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-12 16:27 EDT by Alexey Kuznetsov
Modified: 2009-07-14 10:29 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:29:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Bugzilla 556458 None None None Never

  None (edit)
Description Alexey Kuznetsov 2008-10-12 16:27:17 EDT
nautilus crash on remote host.

# ssh -X mini.local
# nautilus



[Thread 0x49755410 (LWP 2740) exited]

** (nautilus:2728): WARNING **: Unable to add monitor: Operation not supported

(nautilus:2728): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(nautilus:2728): GLib-CRITICAL **: g_error_free: assertion `error != NULL' failed

(nautilus:2728): GLib-GIO-CRITICAL **: g_simple_async_result_set_from_error: assertion `error != NULL' failed

(nautilus:2728): GLib-GIO-WARNING **: (gfile.c:5249):IA__g_file_load_partial_contents_finish: runtime check failed: (g_simple_async_result_get_source_tag (simple) == g_file_load_contents_async)

Program received signal SIGSEGV, Segmentation fault.
IA__g_file_load_partial_contents_finish (file=<value optimized out>, res=<value optimized out>, contents=<value optimized out>, 
    length=<value optimized out>, etag_out=<value optimized out>, error=<value optimized out>) at gfile.c:5253
5253	  if (data->error)
Missing separate debuginfos, use: debuginfo-install keyutils.ppc
(gdb) bt
#0  IA__g_file_load_partial_contents_finish (file=<value optimized out>, res=<value optimized out>, contents=<value optimized out>, 
    length=<value optimized out>, etag_out=<value optimized out>, error=<value optimized out>) at gfile.c:5253
#1  0x0e6e4b44 in on_autorun_loaded (source_object=0x10211a20, res=0x1027edb0, user_data=<value optimized out>) at ghalmount.c:208
#2  0x0ee86530 in IA__g_simple_async_result_complete (simple=<value optimized out>) at gsimpleasyncresult.c:553
#3  0x0ee65e6c in load_contents_open_callback (obj=<value optimized out>, open_res=<value optimized out>, user_data=<value optimized out>)
    at gfile.c:5159
#4  0x0ee86530 in IA__g_simple_async_result_complete (simple=<value optimized out>) at gsimpleasyncresult.c:553
#5  0x0ee86560 in complete_in_idle_cb (data=<value optimized out>) at gsimpleasyncresult.c:563
#6  0x0fb22954 in g_idle_dispatch (source=<value optimized out>, callback=<value optimized out>, user_data=<value optimized out>) at gmain.c:4090
#7  0x0fb2562c in IA__g_main_context_dispatch (context=<value optimized out>) at gmain.c:2012
#8  0x0fb29df8 in g_main_context_iterate (context=<value optimized out>, block=<value optimized out>, dispatch=<value optimized out>, 
    self=<value optimized out>) at gmain.c:2645
#9  0x0fb2a534 in IA__g_main_loop_run (loop=<value optimized out>) at gmain.c:2853
#10 0x01671354 in IA__gtk_main () at gtkmain.c:1163
#11 0x10031078 in main (argc=<value optimized out>, argv=0xbf8806c4) at nautilus-main.c:569
(gdb)
Comment 1 Kai Engert (:kaie) 2008-10-15 15:10:58 EDT
I get the same crash with firefox and gedit.
It seems to depend on X forwarding.

Happens with both -X and -Y

I had originally reported this bug in upstream mozilla, before I realized this is rather someone in Gnome or GTK.

More info:
https://bugzilla.mozilla.org/show_bug.cgi?id=459909

stack:
https://bugzilla.mozilla.org/attachment.cgi?id=343098
Comment 2 Kai Engert (:kaie) 2008-10-15 15:28:11 EDT
This bug is a regression.

Going back to an older version of glib2 fixes the bug for me.

I used:
rpm -Uvh --oldpackage glib2-2.16.5-1.fc9.i386.rpm
Comment 3 Kai Engert (:kaie) 2008-10-15 15:42:46 EDT
reported upstream as gnome bug 556458
Comment 4 Bug Zapper 2009-06-09 22:56:52 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 10:29:18 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.